> ## Documentation Index
> Fetch the complete documentation index at: https://developer.valuechecker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# CP: Fast Product Search



## OpenAPI

````yaml get /search_suggestion
openapi: 3.0.0
info:
  title: ValueChecker API
  description: The ValueChecker Application Programming Interface.
  version: 0.150.1
  x-logo:
    url: >-
      https://files.valuechecker.net/images/default-category-images/Value-Checker_top_bar_logo.png
    backgroundColor: '#FFFFFF'
    altText: ValueChecker logo
  contact:
    name: Contact
    url: https://www.valuechecker.net/contact/
    email: support@valuechecker.net
servers:
  - url: https://api.valuechecker.net/
    description: ValueChecker API URL.
security:
  - apiKey: []
tags:
  - name: default
externalDocs:
  description: PDF Documentation (official)
  url: https://www.valuechecker.net/docs/api/pdf
paths:
  /search_suggestion:
    get:
      tags:
        - default
      summary: 'CP: Fast Product Search'
      parameters:
        - name: query
          in: query
          required: true
          schema:
            type: string
          example: '{{query}}'
          description: >-
            User-input string. The **user** should enter the name of the product
            being claimed / searched for.
        - name: client_category
          in: query
          schema:
            type: string
          example: '{{client_category}}'
          description: Optional category selected or defined by the **user**.
        - name: client_category_id
          in: query
          schema:
            type: string
          example: '{{client_category_id}}'
          description: Optional correlating ID of the category selected by the **user**.
        - name: force_client_category
          in: query
          schema:
            type: boolean
          example: true
          description: Optional flag to force the use of the requested category.
        - $ref: '#/components/parameters/client_id'
        - $ref: '#/components/parameters/session-id'
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Tue, 25 Jul 2023 10:34:22 GMT
            Content-Type:
              schema:
                type: string
                example: application/json
            Content-Length:
              schema:
                type: integer
                example: '20567'
            Connection:
              schema:
                type: string
                example: keep-alive
            x-request-id:
              schema:
                type: string
                example: 32b26779-c508-42fe-b084-abc52c7c789e
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/SearchSuggestionProduct'
                  query:
                    type: string
              example:
                results:
                  - product_name: Apple iPhone 14 128GB (2022)
                    pic_url: https://img.valuechecker.net/,---.jpg
                    product_pic_url: https://img.valuechecker.net/,---.jpg
                    pid: 1262830543
                    cid: 4364
                    specs:
                      - spec_id: 999
                        spec_value: '36'
                        spec_value_display: Apple
                        spec_value_numeric: 3
                        spec_name: brand
                        spec_name_display: Brand
                      - spec_id: 1580
                        spec_value: '15.494'
                        spec_value_display: 6.1"
                        spec_value_numeric: 15.49
                        spec_name: ''
                        spec_name_display: Foldable Screen
                      - spec_id: 8300
                        spec_value: '2022-07-01'
                        spec_value_display: '2022'
                        spec_value_numeric: 1656633600
                        spec_name: release date
                        spec_name_display: Release Year
                      - spec_id: 8000
                        spec_value: '128000'
                        spec_value_display: 128 GB
                        spec_value_numeric: 128000
                        spec_name: size internal drive
                        spec_name_display: Storage Capacity
                      - spec_id: 5000
                        spec_value: '15.494'
                        spec_value_display: 6.1"
                        spec_value_numeric: 15.49
                        spec_name: screen size
                        spec_name_display: Screen Size
                    price:
                      price_min: 850
                      price_max: 850
                      shop_count: 10
                      price_date: '2022-09-11 20:40:16'
                  - product_name: Apple iPhone 14 Plus 128GB (2022)
                    pic_url: https://img.valuechecker.net/,---.jpg
                    product_pic_url: https://img.valuechecker.net/,---.jpg
                    pid: 1262830545
                    cid: 4364
                    specs:
                      - spec_id: 999
                        spec_value: '36'
                        spec_value_display: Apple
                        spec_value_numeric: 3
                        spec_name: brand
                        spec_name_display: Brand
                      - spec_id: 1580
                        spec_value: 'No'
                        spec_value_display: ''
                        spec_value_numeric: 0
                        spec_name: ''
                        spec_name_display: Foldable Screen
                      - spec_id: 8300
                        spec_value: '2022-07-01'
                        spec_value_display: '2022'
                        spec_value_numeric: 1656633600
                        spec_name: release date
                        spec_name_display: Release Year
                      - spec_id: 8000
                        spec_value: '128000'
                        spec_value_display: 128 GB
                        spec_value_numeric: 128000
                        spec_name: size internal drive
                        spec_name_display: Storage Capacity
                      - spec_id: 5000
                        spec_value: '17.018'
                        spec_value_display: 6.7"
                        spec_value_numeric: 17.02
                        spec_name: screen size
                        spec_name_display: Screen Size
                    price:
                      price_min: 700
                      price_max: 1200
                      shop_count: 134
                      price_date: '2023-07-20 03:41:22'
                query: iphone 14
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  description:
                    type: string
              example:
                error: Missing parameter
                description: The "query" parameter is required.
        '401':
          $ref: '#/components/responses/401'
components:
  parameters:
    client_id:
      name: client_id
      in: query
      schema:
        type: integer
      example: '10'
      description: >-
        The client ID for the request. It's required if you have access to
        multiple clients with your API key. Otherwise, it's optional.
    session-id:
      name: session-id
      in: query
      schema:
        type: string
      example: a1b2c3d4e5f6g7h8i9j0
      description: Optional session identifier of the user.
  schemas:
    SearchSuggestionProduct:
      type: object
      properties:
        product_name:
          type: string
        pic_url:
          type: string
        product_pic_url:
          type: string
        pid:
          type: integer
        cid:
          type: integer
        specs:
          type: array
          items:
            $ref: '#/components/schemas/Spec'
        price:
          $ref: '#/components/schemas/PriceRange'
    Spec:
      type: object
      properties:
        spec_id:
          type: integer
        spec_value:
          type: string
        spec_value_display:
          type: string
        spec_value_numeric:
          type: number
        spec_name:
          type: string
        spec_name_display:
          type: string
    PriceRange:
      type: object
      properties:
        price_min:
          type: number
          multipleOf: 0.01
        price_max:
          type: number
          multipleOf: 0.01
        shop_count:
          type: integer
        price_date:
          type: string
  responses:
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              event_code:
                type: string
              event_dict:
                type: object
                properties:
                  event_severity:
                    type: string
                  title:
                    type: string
                  description:
                    type: string
          example:
            error: Invalid Authorization header
            event_code: ERIT00
            event_dict:
              event_severity: ERROR
              title: Invalid Authorization header
              description: Please provide the right authorization token
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Note! Prefix your <api-key> with `apiKey `. Note the space after "apiKey
        ".

````